> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Smart Account



## OpenAPI

````yaml GET /smart-accounts/{smart_account_address}
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/{smart_account_address}:
    get:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: smart_account_address
          in: path
          description: The address of the smart account to retrieve
          required: true
          schema:
            type: string
        - name: external_accounts
          in: query
          description: Whether to include external accounts
          required: false
          schema:
            type: boolean
        - name: virtual_accounts
          in: query
          description: Whether to include virtual accounts
          required: false
          schema:
            type: boolean
        - name: kyc
          in: query
          description: Whether to include KYC status
          required: false
          schema:
            type: boolean
        - name: policies
          in: query
          description: Whether to include policies
          required: false
          schema:
            type: boolean
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved smart account details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSmartAccountResponsePayload'
        '400':
          description: Invalid environment or request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '404':
          description: Smart account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    GetSmartAccountResponsePayload:
      type: object
      required:
        - grid_user_id
        - smart_account_address
        - created_at
      properties:
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
        external_accounts:
          type: array
          items:
            $ref: '#/components/schemas/ExternalAccount'
        grid_user_id:
          type: string
          format: uuid
        kyc:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomerStatus'
        policies:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SmartAccountPolicies'
        smart_account_address:
          type: string
        virtual_accounts:
          type: array
          items:
            $ref: '#/components/schemas/VirtualAccount'
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    ExternalAccount:
      type: object
      required:
        - id
        - customer_id
        - currency
        - bank_name
        - account_owner_name
        - account_type
        - created_at
        - updated_at
        - active
        - beneficiary_address_valid
      properties:
        account:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/UsAccount'
        account_name:
          type:
            - string
            - 'null'
        account_owner_name:
          type: string
        account_owner_type:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CustomerType'
        account_type:
          $ref: '#/components/schemas/AccountType'
        active:
          type: boolean
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Address'
        bank_name:
          type: string
        beneficiary_address_valid:
          type: boolean
        business_name:
          type:
            - string
            - 'null'
        created_at:
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        customer_id:
          type: string
        first_name:
          type:
            - string
            - 'null'
        iban:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/IbanAccount'
        id:
          type: string
        last_4:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        swift:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SwiftAccount'
        updated_at:
          type: string
    CustomerStatus:
      type: string
      enum:
        - active
        - awaiting_questionnaire
        - awaiting_ubo
        - incomplete
        - not_started
        - offboarded
        - paused
        - rejected
        - under_review
    SmartAccountPolicies:
      type: object
      required:
        - authorities
        - threshold
      properties:
        admin_address:
          type:
            - string
            - 'null'
          format: pubkey
          description: Optional admin address that can modify the smart account settings
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        authorities:
          type: array
          items:
            $ref: '#/components/schemas/Signer'
          description: List of authorities that can authorize transactions
        threshold:
          type: integer
          format: int32
          description: Number of required signatures for transactions
          maximum: 10
          minimum: 1
        time_lock:
          type:
            - integer
            - 'null'
          format: int32
          description: Optional time lock in seconds for transactions
          minimum: 0
    VirtualAccount:
      type: object
      required:
        - id
        - customer_id
        - source_deposit_instructions
        - destination
        - status
      properties:
        customer_id:
          type: string
        destination:
          $ref: '#/components/schemas/Destination'
        developer_fee_percent:
          type: string
          format: decimal
          example: '0.02'
        id:
          type: string
        source_deposit_instructions:
          $ref: '#/components/schemas/SourceDepositInstructions'
        status:
          $ref: '#/components/schemas/VirtualAccountStatus'
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
    UsAccount:
      type: object
      required:
        - checking_or_savings
        - last_4
        - routing_number
      properties:
        checking_or_savings:
          $ref: '#/components/schemas/UsAccountType'
        last_4:
          type: string
        routing_number:
          type: string
    CustomerType:
      type: string
      enum:
        - individual
        - business
    AccountType:
      type: string
      enum:
        - us
        - iban
        - unknown
    Address:
      type: object
      required:
        - street_line_1
        - city
        - state
        - country
      properties:
        city:
          type: string
        country:
          type: string
        postal_code:
          type:
            - string
            - 'null'
        state:
          type: string
        street_line_1:
          type: string
        street_line_2:
          type:
            - string
            - 'null'
    Currency:
      type: string
      enum:
        - usd
        - eur
        - mxn
        - usdc
        - usdt
        - usdb
        - dai
        - pyusd
        - eurc
    IbanAccount:
      type: object
      required:
        - country
        - bic
        - account_number
      properties:
        account_number:
          type: string
        bic:
          type: string
        country:
          type: string
    SwiftAccount:
      allOf:
        - {}
    Signer:
      type: object
      required:
        - address
        - permissions
      properties:
        address:
          type: string
          format: pubkey
          description: The public key of the authority
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/Permission'
          description: List of permissions granted to this authority
    Destination:
      type: object
      required:
        - currency
        - payment_rail
        - address
      properties:
        address:
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
    SourceDepositInstructions:
      type: object
      required:
        - currency
        - bank_beneficiary_name
        - bank_name
        - bank_address
        - bank_routing_number
        - bank_account_number
        - payment_rails
      properties:
        bank_account_number:
          type: string
        bank_address:
          type: string
        bank_beneficiary_name:
          type: string
        bank_name:
          type: string
        bank_routing_number:
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        payment_rails:
          type: array
          items:
            $ref: '#/components/schemas/PaymentRail'
    VirtualAccountStatus:
      type: string
      enum:
        - activated
        - deactivated
    UsAccountType:
      type: string
      enum:
        - checking
        - savings
    Permission:
      type: string
      enum:
        - CAN_INITIATE
        - CAN_VOTE
        - CAN_EXECUTE
    PaymentRail:
      type: string
      enum:
        - ach
        - ach_push
        - ach_same_day
        - sepa
        - swift
        - wire
        - arbitrum
        - avalanche_c_chain
        - base
        - bridge_wallet
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
        - tron
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````